#ifndef DATABASE_SQLITE_COMMON_BMX_RELEASE_WIN32_X64_H
#define DATABASE_SQLITE_COMMON_BMX_RELEASE_WIN32_X64_H

#include <brl.mod/blitz.mod/.bmx/blitz.bmx.release.win32.x64.h>
int _bb_database_sqlite_common();
extern BBINT sqlite3_close(BBBYTE* bbt_handle);
extern BBINT sqlite3_open_v2(BBBYTE* bbt_dhname,BBBYTE* bbt_handle,BBINT bbt_flags,BBBYTE* bbt_fvs);
extern BBINT sqlite3_prepare_v2(BBBYTE* bbt_dbhandle,BBBYTE* bbt_sql,BBINT bbt_size,BBBYTE** bbt_stmtHandle,BBINT bbt_pzTail);
extern void sqlite3_finalize(BBBYTE* bbt_stmtHandle);
extern BBINT sqlite3_reset(BBBYTE* bbt_stmtHandle);
extern BBINT sqlite3_step(BBBYTE* bbt_stmtHandle);
extern BBINT sqlite3_column_count(BBBYTE* bbt_stmtHandle);
extern BBBYTE* sqlite3_column_name(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBBYTE* sqlite3_column_decltype(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBINT sqlite3_column_type(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBINT sqlite3_column_int(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBLONG sqlite3_column_int64(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBDOUBLE sqlite3_column_double(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBBYTE* sqlite3_column_blob(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBINT sqlite3_column_bytes(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBBYTE* sqlite3_column_text(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBINT sqlite3_bind_parameter_count(BBBYTE* bbt_stmtHandle);
extern BBINT sqlite3_bind_null(BBBYTE* bbt_stmtHandle,BBINT bbt_index);
extern BBINT sqlite3_bind_int(BBBYTE* bbt_stmtHandle,BBINT bbt_index,BBINT bbt_value);
extern BBINT sqlite3_bind_int64(BBBYTE* bbt_stmtHandle,BBINT bbt_index,BBLONG bbt_value);
extern BBINT sqlite3_bind_double(BBBYTE* bbt_stmtHandle,BBINT bbt_index,BBDOUBLE bbt_value);
extern BBINT sqlite3_changes(BBBYTE* bbt_handle);
extern BBBYTE* sqlite3_errmsg(BBBYTE* bbt_handle);
extern BBBYTE* sqlite3_backup_init(BBBYTE* bbt_toHandle,BBBYTE* bbt_dbTo,BBBYTE* bbt_fromHandle,BBBYTE* bbt_dbFrom);
extern BBINT sqlite3_backup_step(BBBYTE* bbt_handle,BBINT bbt_page);
extern BBINT sqlite3_backup_finish(BBBYTE* bbt_handle);
extern BBINT sqlite3_errcode(BBBYTE* bbt_handle);
extern BBINT bmx_sqlite3_bind_text64(BBBYTE* bbt_stmtHandle,BBINT bbt_index,BBBYTE* bbt_value,BBLONG bbt_size,BBINT bbt_how);
extern BBINT bmx_sqlite3_bind_blob64(BBBYTE* bbt_stmtHandle,BBINT bbt_index,BBBYTE* bbt_value,BBLONG bbt_size,BBINT bbt_how);
extern void bmx_sqlite3_column_int64(BBBYTE* bbt_stmtHandle,BBINT bbt_index,BBLONG* bbt_value);
extern void bmx_sqlite3_last_insert_rowid(BBBYTE* bbt_handle,BBLONG* bbt_id);
extern BBINT sqlite3_user_authenticate(BBBYTE* bbt_dbhandle,BBBYTE* bbt_username,BBBYTE* bbt_password,BBINT bbt_passlen);
extern BBINT sqlite3_user_add(BBBYTE* bbt_dbhandle,BBBYTE* bbt_username,BBBYTE* bbt_password,BBINT bbt_passlen,BBINT bbt_isAdmin);
extern BBINT sqlite3_user_change(BBBYTE* bbt_dbhandle,BBBYTE* bbt_username,BBBYTE* bbt_password,BBINT bbt_passlen,BBINT bbt_isAdmin);
extern BBINT sqlite3_user_delete(BBBYTE* bbt_dbhandle,BBBYTE* bbt_username);

#endif
